Webhook Service Configurations
GET/partner/notification/:user_code/webhook/service_type_list
Retrieve the list of supported webhook services for security notifications.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": [
{
"webhook_service_type": "slack",
"group_webhook_setting_idx": 1,
"is_active": "N",
"webhook_url": "https://hooks.slack.com/services/...",
"email_addreses": "user1@example.com,user2@example.com,user3@example.com"
}
]
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | array |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |